--- title: "Get Non-Standard Ports at Sensor Level" slug: "get-non-standard-ports-at-sensor-level" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/get-non-standard-ports-at-sensor-level" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Non-Standard Ports at Sensor Level This URL gets all the non-standard ports configured on the specified Sensor. ## Resource URL GET /sensor/< sensor _id>/nonstandardports ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor Id | Number | Yes | ## Response Parameter | Field Name | Description | Data Type | | --- | --- | --- | | NonStandardPortResponseList | List of non-standard ports | Array | Details of object in NonStandardPortResponseList: | Field Name | Description | Data Type | | --- | --- | --- | | protocol | "Protocol/Transport" pair | String | | portAssignment | Array of assigned port numbers | Array | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/sensor/1002/nonstandardports](https://%3CNSM_IP%3E/sdkapi/sensor/1002/nonstandardports) **Response** ``` {       "NonStandardPortResponseList":       [           {               "protocol": "FTP/TCP",               "portAssignmentList":                [               21,               12,               32                ]                         },           {               "protocol": "TELNET/UDP",                          "portAssignmentList":                [               23,               555,               15                ]                         },       ] } ``` ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor |